#padre{
    background-color: bisque;
    display: grid;
    grid-template-columns: repeat(8,1fr);
    grid-template-rows: 100px 300px 100px 100px 150px;
    grid-template-areas: 
    "cabe cabe cabe menu menu menu menu menu"
    "hero hero hero hero hero hero hero hero"
    "nomenu nomenu nomenu . . ima ima ima"
    "nomenu nomenu nomenu . . extra extra extra"
    "ban ban ban ban ban ban ban ban";
}
.cabe{
    background-color: black;
    color: white;
    grid-area: cabe;
}
.menu{
    background-color: crimson;
    color: white;
    grid-area: menu;
}
.hero{
    background-color: lightskyblue;
    color: white;
    grid-area: hero;
}
.nomenu{
    background-color: darkblue;
    color: white;
    grid-area: nomenu;
}
.ima{
    background-color: aliceblue;
    grid-area: ima;
}
.extra{
    background-color: lightgreen;
    grid-area: extra;
}
.ban{
    background-color: gold;
    grid-area: ban;
}

@media all and (max-width: 900px){
    #padre{
        grid-template-columns: repeat(4,1fr);
        grid-template-rows: 100px 300px 100px 100px 150px;
        grid-template-areas: 
        "cabe cabe cabe cabe"
        "hero hero hero hero"
        "menu nomenu nomenu nomenu"
        "menu ban ban ban"
        "menu extra extra ima";
    }   
}
@media all and (max-width: 600px){
    #padre{
        grid-template-columns: repeat(2,1fr);
        grid-template-rows: 100px 100px 200px 150px 100px 100px 100px;
        grid-template-areas: 
        "cabe cabe"
        "menu menu"
        "hero hero"
        "nomenu nomenu"
        "ban ban"
        "extra extra"
        "ima ima";
    }

}